package com.persagy.server.utils

import com.persagy.server.dao.mappers.EquipmentZoneMapper
import com.persagy.service.utils.SSpringContextUtil


/**
 * 业务空间
 *
 */
class SpaceRunnables(internal val projectId: String,val buildingId: String,
                      internal var zoneType: String,val list: ArrayList<String>) : Runnable {

    /** 自定义查询 */
    private val equipZoneMapper by lazy {
        SSpringContextUtil.getBean(EquipmentZoneMapper::class.java) as EquipmentZoneMapper
    }

    override fun run() {
    equipZoneMapper.spVerticallySp(projectId,buildingId,zoneType,list)

    } //

} //
